package modelo;
// Generated 15 dic 2022 16:34:03 by Hibernate Tools 4.3.6.Final

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.FetchType;
import jakarta.persistence.GeneratedValue;
import jakarta.persistence.GenerationType;
import jakarta.persistence.Id;
import jakarta.persistence.JoinColumn;
import jakarta.persistence.ManyToOne;
import jakarta.persistence.Table;

/**
 * Articulo generated by hbm2java
 */
@Entity
@Table(name = "articulo", catalog = "emphb")
public class Articulo implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@Column(name = "id", unique = true, nullable = false)
	private Integer id;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "grupo", nullable = false)
	private Grupo grupo;
	
	@Column(name = "nombre", nullable = false, length = 30)
	private String nombre;
	
	@Column(name = "precio", nullable = false, precision = 12, scale = 0)
	private float precio;
	
	@Column(name = "codigo", nullable = false, length = 7)
	private String codigo;
	
	@Column(name = "stock", nullable = false)
	private int stock;

	public Articulo() {
	}

	public Articulo(Grupo grupo, String nombre, float precio, String codigo, int stock) {
		this.grupo = grupo;
		this.nombre = nombre;
		this.precio = precio;
		this.codigo = codigo;
		this.stock = stock;
	}

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}
	
	public Grupo getGrupo() {
		return this.grupo;
	}

	public void setGrupo(Grupo grupo) {
		this.grupo = grupo;
	}
	
	public String getNombre() {
		return this.nombre;
	}

	public void setNombre(String nombre) {
		this.nombre = nombre;
	}
	
	public float getPrecio() {
		return this.precio;
	}

	public void setPrecio(float precio) {
		this.precio = precio;
	}

	public String getCodigo() {
		return this.codigo;
	}

	public void setCodigo(String codigo) {
		this.codigo = codigo;
	}

	public int getStock() {
		return this.stock;
	}

	public void setStock(int stock) {
		this.stock = stock;
	}
	
	@Override
	public String toString() {
		return "Articulo [id=" + id + ", grupo=" + grupo + ", nombre=" + nombre + ", precio=" + precio + ", codigo="
				+ codigo + ", stock=" + stock + "]";
	}


}
